Inferenz
Modell vorwärmen
Starten Sie ein kaltes Modell ohne Inferenz, damit spätere Anfragen nicht 425 zurückgeben.
POST
https://api.fastino.ai
/
v1
/
model-status
/
{model_id}
/
warm
Modell vorwärmen
curl --request POST \
--url https://api.fastino.ai/v1/model-status/{model_id}/warm \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.fastino.ai/v1/model-status/{model_id}/warm"
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.fastino.ai/v1/model-status/{model_id}/warm', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fastino.ai/v1/model-status/{model_id}/warm",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fastino.ai/v1/model-status/{model_id}/warm"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fastino.ai/v1/model-status/{model_id}/warm")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fastino.ai/v1/model-status/{model_id}/warm")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyPOST /v1/model-status/{model_id}/warm
Startet ein kaltes Modell, ohne Inferenz auszuführen. Der Aufruf gibt 202 mit dem Status des Modells zurück. Er wird nicht berechnet, und wiederholte Aufrufe teilen sich einen Start. Fragen Sie GET /v1/model-status/{model_id} ab, bis state den Wert ready hat.
Zugehöriger Leitfaden: Wiederholungen und Modell-Aufwärmung
Anfragebeispiel
MODEL_ID=fastino/gliner2.5-multi-v1
curl -X POST "https://api.fastino.ai/v1/model-status/$MODEL_ID/warm" \
-H "X-API-Key: $FASTINO_API_KEY"
Antwortbeispiel
{
"model": "fastino/gliner2.5-multi-v1",
"state": "starting",
"warming_for_seconds": 0,
"retry_after_seconds": 15
}
War diese Seite hilfreich?
⌘I
Modell vorwärmen
curl --request POST \
--url https://api.fastino.ai/v1/model-status/{model_id}/warm \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.fastino.ai/v1/model-status/{model_id}/warm"
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.fastino.ai/v1/model-status/{model_id}/warm', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fastino.ai/v1/model-status/{model_id}/warm",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fastino.ai/v1/model-status/{model_id}/warm"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fastino.ai/v1/model-status/{model_id}/warm")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fastino.ai/v1/model-status/{model_id}/warm")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body
